#!/bin/bash

function chk_os(){
	s=''

	if [[ -e /etc/os-release ]]; then
		source /etc/os-release

		# s=${s}"\"ID\" : \"$ID\", \n"
		s=${s}"\"VERSION_ID\" : \"$VERSION_ID\",\n"
		s=${s}"\"NAME\" : \"$NAME\", \n"
		s=${s}"\"VERSION\" : \"$VERSION\", \n"
		s=${s}"\"VERSION\" : \"$VERSION\", \n"
		s=${s}"\"PRETTY_NAME\" : \"$PRETTY_NAME\", \n"
	fi

	kernel_n=`uname -s`
	kernel_v=`uname -v`
	kernel_r=`uname -r`
	kernel_a=`uname -p`
	kernel_o=`uname -o`

	s=${s}"\"kernel_name\" : \"$kernel_n\", \n"
	s=${s}"\"kernel_ver\" : \"$kernel_v\", \n"
	s=${s}"\"kernel_rel\" : \"$kernel_r\", \n"
	s=${s}"\"kernel_arch\" : \"$kernel_a\", \n"
	s=${s}"\"kernel_os\" : \"$kernel_o\", \n"

	v=${s%??}
	echo -e ${v}
}


# chk_os

# cp sct_db_service.service /etc/systemd/system/multi-user.target.wants/sct_db_service.service
# cp sct_db_service.service /etc/systemd/system/sct_db_service.service

cp sct_db_service.service /usr/lib/systemd/system/sct_db_service.service
sudo systemctl daemon-reload

# systemctl enable sct_db_service.service
# sudo chmod 644 /etc/systemd/system/multi-user.target.wants/sct_db_service.service


sudo chmod 644 /usr/lib/systemd/system/sct_db_service.service
sudo chmod 744 /usr/local/sct_db_dis_s/sct_db_dis_s
systemctl enable sct_db_service.service
