package com.sct.jdbc;

import java.sql.Date;
import java.sql.DriverManager;
import java.sql.Timestamp;

public class jdbc_sample {
  public static void main(String[] args)throws Exception {
    Driver d = new com.sct.jdbc.Driver();
    DriverManager.registerDriver(d);
    java.sql.Connection c = null;
    java.sql.Statement  s = null;

    try{
      Class.forName("com.sct.jdbc.Driver");
      c = DriverManager.getConnection("jdbc:sct:127.0.0.1:55552", "user", "user");

      s = c.createStatement();
      String sql = "create table test_tab_by_java_jdbc(id u32(true), id1 u08(true), id2 u16(true)" +
        "  , id3 u32(true), id4 u64(true), id5 i08(true), id6 i16(true), id7 i32(true)" +
        "  , id8 i64(true), v1 float(true), v2 double(true)" +
        "  , st1 string04(true)" +
        "  , st2 string08(true)" +
        "  , st3 string16(true)" +
        "  , st4 string32(true)" +
        "  , st5 string64(true)" +
        "  , st6 string128(true)" +
        "  , st7 string256(true)" +
        "  , d date(true)" +
        "  , t time(true)" +
        "  , dt datetime(true)" + ");";
      java.sql.ResultSet r = s.executeQuery(sql);
      for(int i = 0; i < 100; ++i){
        String z = "insert into test_tab_by_java_jdbc ( d, dt, id, id1, id2, id3, id4, id5, id6, id7, id8, st1, st2, st3, st4, st5, st6, st7, t, v1, v2 ) values (";
        z = z + "\"2022-02-11\",  \"2032-02-12 19:23:00.12345\",  ?,  1,   2,   3,   ?,    -1,   -2,   -3,   ?,   ?,   ?,  ?,    ?,  ?,   ?,    ?,  \"10:00:12\", ?, ? )";
        java.sql.PreparedStatement p = c.prepareStatement(z);
        p.setInt(0, i);
        p.setLong(1, i + 1000);
        p.setLong(2, -i);
        p.setString(3, "a");
        p.setString(4, "b");
        p.setString(5, "c");
        p.setString(6, "d");
        p.setString(7, "e");
        p.setString(8, "f");
        p.setString(9, "g");
        float f = i; f += 0.2;
        double v = i; v += 0.34567;
        p.setFloat(10, f);
        p.setDouble(11, v);

        p.execute();
      }
      r = s.executeQuery("select * from test_tab_by_java_jdbc");
      while(r != null && r.next()){
        System.out.print(r.getInt("id") + " ");
        System.out.print(r.getString("st5") + " ");
        System.out.print(r.getDate("d") + " ");
        System.out.print(r.getTimestamp("t") + " ");
        System.out.print(r.getTimestamp("dt") + " ");
        System.out.println(r.getFloat("v1") + " ");
      }


      java.sql.DatabaseMetaData dmd = c.getMetaData();
      r = dmd.getTables("sdb", "", "", null);
      System.out.println("current tables:");
      while(r != null && r.next()){
        System.out.println(r.getString(3)); //TABLE_NAME
      }
      r = dmd.getColumns("sdb", "", "test_tab_by_java_jdbc", "id");
      System.out.println("current columns(name,type,size) of test_tab_by_java_jdbc:");
      while(r.next()){
        System.out.print(r.getString(4) + " "); //COLUMN_NAME
        System.out.print(r.getString(6) + " "); //TYPE_NAME
        System.out.println(r.getInt(7)); //COLUMN_SIZE
      }

      s.execute("drop table test_tab_by_java_jdbc");
    } catch( Exception e){
      e.printStackTrace();
    } finally {
      if(s != null){ s.close(); }
      if(c != null){ c.close(); }
    }
  }
}
